VOP_REVOKE(9)

NAME
VOP_REVOKE - revoke access to a device and its aliases

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_REVOKE(struct vnode *vp, int flags);

DESCRIPTION
VOP_REVOKE() will administratively revoke access to the device specified by vp, as well as any aliases created via make_dev_alias(9). Further file operations on any of these devices by processes which have them open will nominally fail. The flags must be set to REVOKEALL to signify that all access will be revoked; any other value is invalid.

LOCKS
The vp must be unlocked on entry, and will remain unlocked upon return.

SEE ALSO
make_dev_alias(9), vnode(9)

AUTHORS
This manual page was written by Brian Fundakowski Feldman.